## powercap 0.1.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8)

project(powercap)
set(VERSION_MAJOR 0)
set(VERSION_MINOR 1)
set(VERSION_PATCH 1)
set(PROJECT_VERSION ${VERSION_MAJOR}.${VERSION_MINOR}.${VERSION_PATCH})

set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wall -std=c99 -D_GNU_SOURCE")

# See powercap-common.h for enumeration
set(POWERCAP_LOG_LEVEL 2 CACHE STRING "Set the log level: 0=DEBUG, 1=INFO, 2=WARN (default), 3=ERROR, 4=OFF")

include_directories(${PROJECT_SOURCE_DIR}/inc)

add_subdirectory(utils)

# Libraries

add_library(powercap src/powercap.c
                     src/powercap-sysfs.c
                     src/powercap-rapl.c
                     src/powercap-rapl-sysfs.c
                     src/powercap-common.c)
target_compile_definitions(powercap PRIVATE POWERCAP_LOG_LEVEL=${POWERCAP_LOG_LEVEL})
if (BUILD_SHARED_LIBS)
  set_target_properties(powercap PROPERTIES VERSION ${PROJECT_VERSION}
                                            SOVERSION ${VERSION_MAJOR})
endif()

# Tests

add_executable(powercap-test test/powercap-test.c)
target_link_libraries(powercap-test powercap)

add_executable(powercap-rapl-test test/powercap-rapl-test.c)
target_link_libraries(powercap-rapl-test powercap)

add_executable(powercap-sysfs-test test/powercap-sysfs-test.c)
target_link_libraries(powercap-sysfs-test powercap)

enable_testing()
macro(add_unit_test target)
  add_test(${target} ${EXECUTABLE_OUTPUT_PATH}/${target})
endmacro(add_unit_test)

add_unit_test(powercap-test)
# Requires a real system with root privileges
# add_unit_test(powercap-rapl-test)
add_unit_test(powercap-sysfs-test)

# pkg-config

set(PKG_CONFIG_EXEC_PREFIX "\${prefix}")
set(PKG_CONFIG_LIBDIR "\${prefix}/lib")
set(PKG_CONFIG_INCLUDEDIR "\${prefix}/include/${PROJECT_NAME}")
set(PKG_CONFIG_CFLAGS "-I\${includedir}")

set(PKG_CONFIG_NAME "${PROJECT_NAME}")
set(PKG_CONFIG_DESCRIPTION "C bindings to the Linux Power Capping Framework in sysfs")
set(PKG_CONFIG_LIBS "-L\${libdir} -lpowercap")
set(PKG_CONFIG_LIBS_PRIVATE "")
configure_file(
  ${CMAKE_CURRENT_SOURCE_DIR}/pkgconfig.in
  ${CMAKE_CURRENT_BINARY_DIR}/pkgconfig/powercap.pc
)

# Install

install(TARGETS powercap DESTINATION lib)
install(FILES inc/powercap.h inc/powercap-sysfs.h inc/powercap-rapl.h inc/powercap-rapl-sysfs.h DESTINATION include/${PROJECT_NAME})
install(DIRECTORY ${CMAKE_BINARY_DIR}/pkgconfig/ DESTINATION lib/pkgconfig)

# Uninstall

configure_file(
  ${CMAKE_CURRENT_SOURCE_DIR}/cmake_uninstall.cmake.in
  ${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake
  @ONLY
)

add_custom_target(uninstall COMMAND ${CMAKE_COMMAND} -P ${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake)

=== utils/CMakeLists.txt ===
# Binaries

add_executable(powercap-info powercap-info.c util-common.c)
target_link_libraries(powercap-info powercap)

add_executable(powercap-set powercap-set.c util-common.c)
target_link_libraries(powercap-set powercap)

add_executable(rapl-info rapl-info.c util-common.c)
target_link_libraries(rapl-info powercap)

add_executable(rapl-set rapl-set.c util-common.c)
target_link_libraries(rapl-set powercap)

# Install

install(TARGETS powercap-info powercap-set rapl-info rapl-set DESTINATION bin)
install(DIRECTORY man/ DESTINATION share/man)

=== debian/changelog ===
powercap (0.1.1-1) unstable; urgency=medium

  * Initial release. (Closes: #876409)

 -- Connor Imes <ckimes@ubuntu.com>  Thu, 12 Oct 2017 16:34:03 -0500

=== debian/control ===
Source: powercap
Maintainer: Connor Imes <ckimes@ubuntu.com>
Section: admin
Priority: optional
Build-Depends: debhelper (>= 10),
               cmake
Standards-Version: 4.1.1
Vcs-Browser: https://github.com/connorimes/powercap/tree/debian
Vcs-Git: https://github.com/connorimes/powercap.git -b debian
Homepage: https://github.com/powercap/powercap

Package: powercap-utils
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libpowercap0 (= ${binary:Version})
Description: Utilities for accessing the powercap Linux kernel feature
 This package contains utilities for accessing the powercap Linux kernel
 feature through sysfs. Specifically, it provides powercap-info and powercap-
 set for generic access to powercap control types, and rapl-info and rapl-
 set for managing Intel RAPL implementations.

Package: libpowercap0
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${shlibs:Depends},
         ${misc:Depends}
Recommends: powercap-utils (= ${binary:Version})
Description: Shared library for accessing the powercap Linux kernel feature
 This library provides methods to access the Linux kernel powercap
 interface. It exposes functions for direct access to sysfs files,
 as well as an abstraction to discover and operate on Intel RAPL
 power zones.

Package: libpowercap-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libpowercap0 (= ${binary:Version})
Description: Development files for libpowercap
 This package provides everything needed to develop other programs and
 libraries with libpowercap, including header files and pkg-config
 configurations.

## powercap 0.2.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,12 +1,16 @@
-cmake_minimum_required(VERSION 2.8)
+# SPDX-License-Identifier: BSD-3-Clause
+
+cmake_minimum_required(VERSION 2.8.5)
 
 project(powercap)
 set(VERSION_MAJOR 0)
-set(VERSION_MINOR 1)
-set(VERSION_PATCH 1)
+set(VERSION_MINOR 2)
+set(VERSION_PATCH 0)
 set(PROJECT_VERSION ${VERSION_MAJOR}.${VERSION_MINOR}.${VERSION_PATCH})
 
 set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wall -std=c99 -D_GNU_SOURCE")
+
+include(GNUInstallDirs)
 
 # See powercap-common.h for enumeration
 set(POWERCAP_LOG_LEVEL 2 CACHE STRING "Set the log level: 0=DEBUG, 1=INFO, 2=WARN (default), 3=ERROR, 4=OFF")
@@ -52,8 +56,8 @@
 # pkg-config
 
 set(PKG_CONFIG_EXEC_PREFIX "\${prefix}")
-set(PKG_CONFIG_LIBDIR "\${prefix}/lib")
-set(PKG_CONFIG_INCLUDEDIR "\${prefix}/include/${PROJECT_NAME}")
+set(PKG_CONFIG_LIBDIR "\${prefix}/${CMAKE_INSTALL_LIBDIR}")
+set(PKG_CONFIG_INCLUDEDIR "\${prefix}/${CMAKE_INSTALL_INCLUDEDIR}/${PROJECT_NAME}")
 set(PKG_CONFIG_CFLAGS "-I\${includedir}")
 
 set(PKG_CONFIG_NAME "${PROJECT_NAME}")
@@ -67,9 +71,9 @@
 
 # Install
 
-install(TARGETS powercap DESTINATION lib)
-install(FILES inc/powercap.h inc/powercap-sysfs.h inc/powercap-rapl.h inc/powercap-rapl-sysfs.h DESTINATION include/${PROJECT_NAME})
-install(DIRECTORY ${CMAKE_BINARY_DIR}/pkgconfig/ DESTINATION lib/pkgconfig)
+install(TARGETS powercap DESTINATION ${CMAKE_INSTALL_LIBDIR})
+install(FILES inc/powercap.h inc/powercap-sysfs.h inc/powercap-rapl.h inc/powercap-rapl-sysfs.h DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/${PROJECT_NAME})
+install(DIRECTORY ${CMAKE_BINARY_DIR}/pkgconfig/ DESTINATION ${CMAKE_INSTALL_LIBDIR}/pkgconfig)
 
 # Uninstall

=== utils/CMakeLists.txt ===
--- 
+++ 
@@ -1,3 +1,5 @@
+# SPDX-License-Identifier: BSD-3-Clause
+
 # Binaries
 
 add_executable(powercap-info powercap-info.c util-common.c)
@@ -14,5 +16,5 @@
 
 # Install
 
-install(TARGETS powercap-info powercap-set rapl-info rapl-set DESTINATION bin)
-install(DIRECTORY man/ DESTINATION share/man)
+install(TARGETS powercap-info powercap-set rapl-info rapl-set DESTINATION ${CMAKE_INSTALL_BINDIR})
+install(DIRECTORY man/ DESTINATION ${CMAKE_INSTALL_MANDIR})

=== debian/changelog ===
powercap (0.2.0-1) unstable; urgency=medium

  * New upstream release.
  * Change packaging architecture from any to linux-any. (Closes: #883122)
  * Remove patches now in upstream: multiarch, symvisibility.

 -- Connor Imes <ckimes@ubuntu.com>  Tue, 03 Dec 2019 15:02:34 -0500

=== debian/control ===
--- 
+++ 
@@ -2,15 +2,16 @@
 Maintainer: Connor Imes <ckimes@ubuntu.com>
 Section: admin
 Priority: optional
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper-compat (= 12),
                cmake
-Standards-Version: 4.1.1
+Standards-Version: 4.4.1
 Vcs-Browser: https://github.com/connorimes/powercap/tree/debian
 Vcs-Git: https://github.com/connorimes/powercap.git -b debian
 Homepage: https://github.com/powercap/powercap
+Rules-Requires-Root: no
 
 Package: powercap-utils
-Architecture: any
+Architecture: linux-any
 Depends: ${shlibs:Depends},
          ${misc:Depends},
          libpowercap0 (= ${binary:Version})
@@ -21,7 +22,7 @@
  set for managing Intel RAPL implementations.
 
 Package: libpowercap0
-Architecture: any
+Architecture: linux-any
 Multi-Arch: same
 Section: libs
 Depends: ${shlibs:Depends},
@@ -34,7 +35,7 @@
  power zones.
 
 Package: libpowercap-dev
-Architecture: any
+Architecture: linux-any
 Multi-Arch: same
 Section: libdevel
 Depends: ${shlibs:Depends},

## powercap 0.3.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,11 +1,11 @@
 # SPDX-License-Identifier: BSD-3-Clause
 
-cmake_minimum_required(VERSION 2.8.5)
+cmake_minimum_required(VERSION 2.8.12)
 
 project(powercap)
 set(VERSION_MAJOR 0)
-set(VERSION_MINOR 2)
-set(VERSION_PATCH 0)
+set(VERSION_MINOR 3)
+set(VERSION_PATCH 1)
 set(PROJECT_VERSION ${VERSION_MAJOR}.${VERSION_MINOR}.${VERSION_PATCH})
 
 set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wall -std=c99 -D_GNU_SOURCE")
@@ -13,9 +13,7 @@
 include(GNUInstallDirs)
 
 # See powercap-common.h for enumeration
-set(POWERCAP_LOG_LEVEL 2 CACHE STRING "Set the log level: 0=DEBUG, 1=INFO, 2=WARN (default), 3=ERROR, 4=OFF")
-
-include_directories(${PROJECT_SOURCE_DIR}/inc)
+set(POWERCAP_LOG_LEVEL 4 CACHE STRING "Set the log level: 0=DEBUG, 1=INFO, 2=WARN, 3=ERROR, 4=OFF (default)")
 
 add_subdirectory(utils)
 
@@ -26,6 +24,8 @@
                      src/powercap-rapl.c
                      src/powercap-rapl-sysfs.c
                      src/powercap-common.c)
+target_include_directories(powercap PUBLIC $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/inc>
+                                           $<INSTALL_INTERFACE:${CMAKE_INSTALL_INCLUDEDIR}/${PROJECT_NAME}>)
 target_compile_definitions(powercap PRIVATE POWERCAP_LOG_LEVEL=${POWERCAP_LOG_LEVEL})
 if (BUILD_SHARED_LIBS)
   set_target_properties(powercap PROPERTIES VERSION ${PROJECT_VERSION}
@@ -33,6 +33,9 @@
 endif()
 
 # Tests
+
+add_executable(powercap-common-test test/powercap-common-test.c src/powercap-common.c)
+target_include_directories(powercap-common-test PRIVATE ${CMAKE_CURRENT_SOURCE_DIR}/inc)
 
 add_executable(powercap-test test/powercap-test.c)
 target_link_libraries(powercap-test powercap)
@@ -48,6 +51,7 @@
   add_test(${target} ${EXECUTABLE_OUTPUT_PATH}/${target})
 endmacro(add_unit_test)
 
+add_unit_test(powercap-common-test)
 add_unit_test(powercap-test)
 # Requires a real system with root privileges
 # add_unit_test(powercap-rapl-test)
@@ -69,11 +73,38 @@
   ${CMAKE_CURRENT_BINARY_DIR}/pkgconfig/powercap.pc
 )
 
+# CMake package helper
+
+include(CMakePackageConfigHelpers)
+
+set(POWERCAP_CMAKE_CONFIG_DIR ${CMAKE_INSTALL_LIBDIR}/cmake/powercap)
+set(CONFIG_TARGETS_FILE PowercapTargets.cmake)
+
+configure_package_config_file(
+  ${CMAKE_CURRENT_SOURCE_DIR}/Config.cmake.in
+  ${CMAKE_CURRENT_BINARY_DIR}/PowercapConfig.cmake
+  INSTALL_DESTINATION ${POWERCAP_CMAKE_CONFIG_DIR}
+)
+
+write_basic_package_version_file(
+  ${CMAKE_CURRENT_BINARY_DIR}/PowercapConfigVersion.cmake
+  VERSION ${PROJECT_VERSION}
+  COMPATIBILITY SameMajorVersion
+)
+
 # Install
 
-install(TARGETS powercap DESTINATION ${CMAKE_INSTALL_LIBDIR})
+set(POWERCAP_CMAKE_CONFIG_INSTALL OFF CACHE BOOL "Install cmake package helpers (experimental)")
+
+install(TARGETS powercap EXPORT PowercapTargets DESTINATION ${CMAKE_INSTALL_LIBDIR})
 install(FILES inc/powercap.h inc/powercap-sysfs.h inc/powercap-rapl.h inc/powercap-rapl-sysfs.h DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/${PROJECT_NAME})
 install(DIRECTORY ${CMAKE_BINARY_DIR}/pkgconfig/ DESTINATION ${CMAKE_INSTALL_LIBDIR}/pkgconfig)
+if(POWERCAP_CMAKE_CONFIG_INSTALL)
+  install(FILES ${CMAKE_CURRENT_BINARY_DIR}/PowercapConfig.cmake
+                ${CMAKE_CURRENT_BINARY_DIR}/PowercapConfigVersion.cmake
+          DESTINATION ${POWERCAP_CMAKE_CONFIG_DIR})
+  install(EXPORT PowercapTargets FILE PowercapTargets.cmake DESTINATION ${POWERCAP_CMAKE_CONFIG_DIR})
+endif()
 
 # Uninstall

=== utils/CMakeLists.txt ===
# SPDX-License-Identifier: BSD-3-Clause

# Binaries

add_executable(powercap-info powercap-info.c util-common.c)
target_link_libraries(powercap-info powercap)

add_executable(powercap-set powercap-set.c util-common.c)
target_link_libraries(powercap-set powercap)

install(TARGETS powercap-info powercap-set DESTINATION ${CMAKE_INSTALL_BINDIR})
install(FILES man/man1/powercap-info.1 man/man1/powercap-set.1 DESTINATION ${CMAKE_INSTALL_MANDIR}/man1)

# Deprecated Binaries

add_executable(rapl-info rapl-info.c util-common.c)
target_link_libraries(rapl-info powercap)

add_executable(rapl-set rapl-set.c util-common.c)
target_link_libraries(rapl-set powercap)

install(TARGETS rapl-info rapl-set DESTINATION ${CMAKE_INSTALL_BINDIR})
install(FILES man/man1/rapl-info.1 man/man1/rapl-set.1 DESTINATION ${CMAKE_INSTALL_MANDIR}/man1)

=== debian/changelog ===
powercap (0.3.1-1) unstable; urgency=medium

  * New upstream release.
  * Fix unit test error on ppc64el architecture.

 -- Connor Imes <ckimes@ubuntu.com>  Sun, 08 Nov 2020 13:29:31 -0500

powercap (0.3.0-1) unstable; urgency=medium

  * New upstream release.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Update standards version to 4.5.0, no changes needed.

 -- Connor Imes <ckimes@ubuntu.com>  Sat, 19 Sep 2020 12:47:22 -0400

=== debian/control ===
--- 
+++ 
@@ -2,9 +2,9 @@
 Maintainer: Connor Imes <ckimes@ubuntu.com>
 Section: admin
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                cmake
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Vcs-Browser: https://github.com/connorimes/powercap/tree/debian
 Vcs-Git: https://github.com/connorimes/powercap.git -b debian
 Homepage: https://github.com/powercap/powercap

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#export DH_VERBOSE = 1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

override_dh_auto_configure:
	dh_auto_configure -- -DBUILD_SHARED_LIBS=ON

%:
	dh $@

=== debian/watch ===
version=4
https://github.com/powercap/powercap/releases (?:.*?/)?v([\d.]+)\.tar\.gz

## powercap 0.5.0

=== CMakeLists.txt ===
# SPDX-License-Identifier: BSD-3-Clause

cmake_minimum_required(VERSION 3.12)

project(powercap VERSION 0.5.0
                 LANGUAGES C)

set(CMAKE_C_STANDARD 99)
set(CMAKE_C_STANDARD_REQUIRED ON)
set(CMAKE_C_EXTENSIONS ON)
add_compile_options(-Wall)

include(GNUInstallDirs)

# See powercap-common.h for enumeration
set(POWERCAP_LOG_LEVEL 4 CACHE STRING "Set the log level: 0=DEBUG, 1=INFO, 2=WARN, 3=ERROR, 4=OFF (default)")

set(POWERCAP_CMAKE_CONFIG_INSTALL_DIR ${CMAKE_INSTALL_LIBDIR}/cmake/powercap)

# Libraries

add_library(powercap src/powercap.c
                     src/powercap-sysfs.c
                     src/powercap-rapl.c
                     src/powercap-rapl-sysfs.c
                     src/powercap-common.c)
target_include_directories(powercap PUBLIC $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/inc>
                                           $<INSTALL_INTERFACE:${CMAKE_INSTALL_INCLUDEDIR}/${PROJECT_NAME}>)
set_target_properties(powercap PROPERTIES PUBLIC_HEADER "inc/powercap.h;inc/powercap-sysfs.h;inc/powercap-rapl.h;inc/powercap-rapl-sysfs.h")
target_compile_definitions(powercap PRIVATE POWERCAP_LOG_LEVEL=${POWERCAP_LOG_LEVEL})
if (BUILD_SHARED_LIBS)
  set_target_properties(powercap PROPERTIES VERSION ${PROJECT_VERSION}
                                            SOVERSION ${PROJECT_VERSION_MAJOR})
endif()
install(TARGETS powercap
        EXPORT PowercapTargets
        LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR}
                COMPONENT Powercap_Runtime
                NAMELINK_COMPONENT Powercap_Development
        ARCHIVE DESTINATION ${CMAKE_INSTALL_LIBDIR}
                COMPONENT Powercap_Development
        PUBLIC_HEADER DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/${PROJECT_NAME}
                      COMPONENT Powercap_Development)

# pkg-config

set(PKG_CONFIG_EXEC_PREFIX "\${prefix}")
set(PKG_CONFIG_LIBDIR "\${prefix}/${CMAKE_INSTALL_LIBDIR}")
set(PKG_CONFIG_INCLUDEDIR "\${prefix}/${CMAKE_INSTALL_INCLUDEDIR}/${PROJECT_NAME}")
set(PKG_CONFIG_CFLAGS "-I\${includedir}")

set(PKG_CONFIG_NAME "${PROJECT_NAME}")
set(PKG_CONFIG_DESCRIPTION "C bindings to the Linux Power Capping Framework in sysfs")
set(PKG_CONFIG_LIBS "-L\${libdir} -lpowercap")
set(PKG_CONFIG_LIBS_PRIVATE "")
configure_file(
  ${CMAKE_CURRENT_SOURCE_DIR}/pkgconfig.in
  ${CMAKE_CURRENT_BINARY_DIR}/pkgconfig/powercap.pc
)
install(DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}/pkgconfig/
        DESTINATION ${CMAKE_INSTALL_LIBDIR}/pkgconfig
        COMPONENT Powercap_Development)

# CMake package helper

include(CMakePackageConfigHelpers)

set(CONFIG_TARGETS_FILE PowercapTargets.cmake)
# While we (currently) always build and install utils, making their import optional makes downstream packaging easier.
# E.g., cmake package configs belong in the Debian dev package, which depends on the lib---but not the utils---package.
set(CONFIG_SUPPORTED_COMPONENTS Utils)

configure_package_config_file(
  ${CMAKE_CURRENT_SOURCE_DIR}/Config.cmake.in
  ${CMAKE_CURRENT_BINARY_DIR}/PowercapConfig.cmake
  INSTALL_DESTINATION ${POWERCAP_CMAKE_CONFIG_INSTALL_DIR}
  NO_SET_AND_CHECK_MACRO
  NO_CHECK_REQUIRED_COMPONENTS_MACRO
)

write_basic_package_version_file(
  ${CMAKE_CURRENT_BINARY_DIR}/PowercapConfigVersion.cmake
  VERSION ${PROJECT_VERSION}
  COMPATIBILITY SameMajorVersion
)

install(FILES ${CMAKE_CURRENT_BINARY_DIR}/PowercapConfig.cmake
              ${CMAKE_CURRENT_BINARY_DIR}/PowercapConfigVersion.cmake
        DESTINATION ${POWERCAP_CMAKE_CONFIG_INSTALL_DIR}
        COMPONENT Powercap_Development)
install(EXPORT PowercapTargets
        DESTINATION ${POWERCAP_CMAKE_CONFIG_INSTALL_DIR}
        NAMESPACE Powercap::
        COMPONENT Powercap_Development)

# Uninstall

configure_file(
  ${CMAKE_CURRENT_SOURCE_DIR}/cmake_uninstall.cmake.in
  ${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake
  @ONLY
)

add_custom_target(uninstall COMMAND ${CMAKE_COMMAND} -P ${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake)

# Tests and Utilities

enable_testing()
add_subdirectory(test)
add_subdirectory(utils)

=== debian/changelog ===
powercap (0.5.0-1) unstable; urgency=medium

  * New upstream release.
  * Update standards version to 4.6.0, no changes needed.
  * Remove unnecessary ${shlibs:Depends} from libpowercap-dev dependencies.

 -- Connor Imes <ckimes@ubuntu.com>  Thu, 09 Dec 2021 16:24:12 -0500

powercap (0.4.0-1) unstable; urgency=medium

  * New upstream release.

 -- Connor Imes <ckimes@ubuntu.com>  Sun, 25 Apr 2021 14:31:10 -0400

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                cmake
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Vcs-Browser: https://github.com/connorimes/powercap/tree/debian
 Vcs-Git: https://github.com/connorimes/powercap.git -b debian
 Homepage: https://github.com/powercap/powercap
@@ -38,8 +38,7 @@
 Architecture: linux-any
 Multi-Arch: same
 Section: libdevel
-Depends: ${shlibs:Depends},
-         ${misc:Depends},
+Depends: ${misc:Depends},
          libpowercap0 (= ${binary:Version})
 Description: Development files for libpowercap
  This package provides everything needed to develop other programs and

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/powercap-$1\.tar\.gz/ \
  https://github.com/powercap/powercap/tags .*/v?(\d\S+)\.tar\.gz

## powercap 0.6.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 cmake_minimum_required(VERSION 3.12)
 
-project(powercap VERSION 0.5.0
+project(powercap VERSION 0.6.0
                  LANGUAGES C)
 
 set(CMAKE_C_STANDARD 99)

=== test/CMakeLists.txt ===
# SPDX-License-Identifier: BSD-3-Clause

macro(add_unit_test target)
  add_test(${target} ${target})
endmacro(add_unit_test)

add_executable(powercap-common-test powercap-common-test.c ${PROJECT_SOURCE_DIR}/src/powercap-common.c)
target_include_directories(powercap-common-test PRIVATE ${PROJECT_SOURCE_DIR}/inc)
add_unit_test(powercap-common-test)

add_executable(powercap-test powercap-test.c)
target_link_libraries(powercap-test PRIVATE powercap)
add_unit_test(powercap-test)

add_executable(powercap-rapl-test powercap-rapl-test.c)
target_link_libraries(powercap-rapl-test PRIVATE powercap)
# Requires a real system with root privileges
# add_unit_test(powercap-rapl-test)

add_executable(powercap-sysfs-test powercap-sysfs-test.c)
target_link_libraries(powercap-sysfs-test PRIVATE powercap)
add_unit_test(powercap-sysfs-test)

=== utils/CMakeLists.txt ===
# SPDX-License-Identifier: BSD-3-Clause

# Binaries

add_executable(powercap-info powercap-info.c util-common.c)
target_link_libraries(powercap-info PRIVATE powercap)

add_executable(powercap-set powercap-set.c util-common.c)
target_link_libraries(powercap-set PRIVATE powercap)

install(TARGETS powercap-info powercap-set
        EXPORT PowercapUtilsTargets
        RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR}
        COMPONENT Powercap_Utils_Runtime)
install(EXPORT PowercapUtilsTargets
        DESTINATION ${POWERCAP_CMAKE_CONFIG_INSTALL_DIR}
        NAMESPACE Powercap::
        COMPONENT Powercap_Utils_Development)
install(FILES man/man1/powercap-info.1 man/man1/powercap-set.1
        DESTINATION ${CMAKE_INSTALL_MANDIR}/man1
        COMPONENT Powercap_Utils_Runtime)

# Deprecated Binaries

add_executable(rapl-info rapl-info.c util-common.c)
target_compile_definitions(rapl-info PRIVATE POWERCAP_ALLOW_DEPRECATED)
target_link_libraries(rapl-info PRIVATE powercap)

add_executable(rapl-set rapl-set.c util-common.c)
target_compile_definitions(rapl-set PRIVATE POWERCAP_ALLOW_DEPRECATED)
target_link_libraries(rapl-set PRIVATE powercap)

# Don't export deprecated targets
install(TARGETS rapl-info rapl-set
        DESTINATION ${CMAKE_INSTALL_BINDIR}
        COMPONENT Powercap_Utils_Runtime)
install(FILES man/man1/rapl-info.1 man/man1/rapl-set.1
        DESTINATION ${CMAKE_INSTALL_MANDIR}/man1
        COMPONENT Powercap_Utils_Runtime)

=== debian/changelog ===
powercap (0.6.0-1) unstable; urgency=medium

  * New upstream release.
  * Update standards version to 4.6.1, no changes needed.

 -- Connor Imes <ckimes@ubuntu.com>  Sat, 14 May 2022 09:38:15 -0400

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                cmake
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://github.com/connorimes/powercap/tree/debian
 Vcs-Git: https://github.com/connorimes/powercap.git -b debian
 Homepage: https://github.com/powercap/powercap
